Get action execution logs

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /executions
  • /:execution_id
  • /action_executions
  • /:action_execution_id
  • /logs

Returns paginated console output logs of a single action execution

Request

REQUIRED SCOPES
EXECUTION_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

execution_idrequiredinteger
The ID of the execution

Example: 123456

action_execution_idrequiredstring
The ID of the action execution

Example: "68e49e0e0875a8847e0980da"

GET PARAMETERS
offsetinteger
The starting line number (0-based). Defaults to 0

Example: 0

limitinteger
The maximum number of log lines to return. Defaults to 100, max 1000

Example: 100

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
offsetinteger
The offset (starting line number) of the returned logs
element_countinteger
The number of log lines returned in this response
total_element_countinteger
The total number of log lines available
logsstring[]
The log lines of the action execution

Last modified on Apr 9, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/executions/:execution_id/action_executions/:action_execution_id/logs" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
200 OK